| Flutter iOS Embedder |

Properties | List of all members
FlutterEngineGroupOptions Class Reference

`#import <FlutterEngineGroup.h>`

Inheritance diagram for FlutterEngineGroupOptions:

## Properties
NSString * | entrypoint
NSString * | libraryURI
NSString * | initialRoute
NSArray< NSString * > * | entrypointArgs

## Detailed Description

Options that control how a FlutterEngine should be created.

Definition at line 16 of file FlutterEngineGroup.h.

## Property Documentation

## ◆ entrypoint

- (NSString*) entrypoint
| readwritenonatomiccopy

The name of a top-level function from a Dart library. If this is FlutterDefaultDartEntrypoint (or nil); this will default to `main()`. If it is not the app's main() function, that function must be decorated with `@pragma(vm:entry-point)` to ensure themethod is not tree-shaken by the Dart compiler.

Definition at line 24 of file FlutterEngineGroup.h.

Referenced by FlutterEngineGroup::makeEngineWithEntrypoint:libraryURI:initialRoute:, and FlutterEngineGroup::makeEngineWithOptions:.

## ◆ entrypointArgs

- (NSArray<NSString*>*) entrypointArgs
| readwritenonatomiccopy

Arguments passed as a list of string to Dart's entrypoint function.

Definition at line 41 of file FlutterEngineGroup.h.

Referenced by FlutterEngineGroup::makeEngineWithOptions:.

## ◆ initialRoute

- (NSString*) initialRoute
| readwritenonatomiccopy

The name of the initial Flutter `Navigator` `Route` to load. If this is FlutterDefaultInitialRoute (or nil), it will default to the "/" route.

Definition at line 36 of file FlutterEngineGroup.h.

Referenced by FlutterEngineGroup::makeEngineWithEntrypoint:libraryURI:initialRoute:, and FlutterEngineGroup::makeEngineWithOptions:.

## ◆ libraryURI

- (NSString*) libraryURI
| readwritenonatomiccopy

The URI of the Dart library which contains the entrypoint method. If nil, this will default to the same library as the `main()` function in the Dart program.

Definition at line 30 of file FlutterEngineGroup.h.

Referenced by FlutterEngineGroup::makeEngineWithEntrypoint:libraryURI:initialRoute:, and FlutterEngineGroup::makeEngineWithOptions:.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Headers/FlutterEngineGroup.h